## wfmath 0.3.12

=== debian/changelog ===
wfmath (0.3.12-3ubuntu2) trusty; urgency=low

  * Further symbol updates for ppc64el.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 19 Mar 2014 15:15:04 -0400

wfmath (0.3.12-3ubuntu1) trusty; urgency=low

  * Update symbols for newer arches, resolving FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 19 Mar 2014 14:20:04 -0400

wfmath (0.3.12-3) unstable; urgency=low

  * added more symbols (closes: #671956)
  * debian/control: updated Standards-Version to 3.9.3 (no changes)
  * incorporated and acknowledged NMU (thanks Matthias)

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Wed, 30 May 2012 09:17:22 -0400

wfmath (0.3.12-2.1) unstable; urgency=low

  * Non maintainer upload
  * Fix build failure with GCC 4.7. Closes: #671956.

 -- Matthias Klose <doko@debian.org>  Wed, 30 May 2012 06:28:30 +0000

wfmath (0.3.12-2) unstable; urgency=low

  * marked some inline symbols optional
  * added 0001-float-comparisons.patch
    - fixes floating-point comparisons that cause FTBFS in the test suite on
      some architectures

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Thu, 16 Feb 2012 17:25:48 -0500

wfmath (0.3.12-1) unstable; urgency=low

  * new upstream release
  * new maintainer: Debian games team (closes: #653979)
    - added myself as uploader
  * converted packaging to use dh sequenceer
  * renamed binary packages due to SONAME bump
  * converted to 3.0 (quilt) source format
  * updated Standards-Version to 3.9.2 (no changes required)
  * debian/control: added Vcs- fields
  * refined doc packaging rules
  * added symbols tracking
  * debian/copyright: converted to DEP-5 format
  * debian/rules: regenerated autoconfigury
  * use xz compression for packaging
  * move to debhelper compat level 9

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Thu, 02 Feb 2012 12:23:40 -0500

wfmath (0.3.9-2) unstable; urgency=low

  * debian/libwfmath-0.3-dev.install: Don't install *.la file.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Thu, 27 Aug 2009 08:52:38 +0200

wfmath (0.3.9-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Add correct copyright notice.
  * debian/conrol: Updated Standards-Version to 3.8.2.
  * debian/control: Move libwfmath-0.3-4-dbg to debug section.
  * debian/control: Add Depends: ${misc:Depends} to all packages.
  * debian/watch: Use SourceForge rediretor.

 -- Michael Koch <konqueror@gmx.de>  Tue, 21 Jul 2009 10:55:36 +0200

wfmath (0.3.7-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.7.3.
  * Updated debhelper level to 5.
  * Added homepage field.

 -- Michael Koch <konqueror@gmx.de>  Sun, 09 Dec 2007 16:19:35 +0100

wfmath (0.3.6-1) unstable; urgency=low

  * New upstream release
    - Removed debian/patches/wfmath-gcc42.diff. Obsoleted.

 -- Michael Koch <konqueror@gmx.de>  Fri, 20 Jul 2007 07:31:41 +0200

wfmath (0.3.5-4) unstable; urgency=low

  * Applied patch to make wfmath compile with g++-4.2.
    Closes: #361815, #362211, #362420.
  * Make package binNMU-able.
  * Added homepage tag to all long descriptions.

 -- Michael Koch <konqueror@gmx.de>  Mon, 16 Jul 2007 12:58:19 +0200

wfmath (0.3.5-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Koch <konqueror@gmx.de>  Mon, 04 Jun 2007 21:55:14 +0200

wfmath (0.3.5-2) experimental; urgency=low

  * Rebuild with libc6 from unstable.

 -- Michael Koch <konqueror@gmx.de>  Sun, 25 Mar 2007 20:07:27 +0200

wfmath (0.3.5-1) experimental; urgency=low

  * Upload to experimental.
    - changed soname
  * New upstream release.
  * Updated Build-Depends on debhelper to >= 4.1.0.
  * Fixed way of building debug package.
  * Updated Standards-Version to 3.7.2.

 -- Michael Koch <konqueror@gmx.de>  Wed, 14 Feb 2007 12:12:56 +0000

wfmath (0.3.4-4) unstable; urgency=low

  * Fixed library package name after C++ transition
    (Closes: #339277).

 -- Michael Koch <konqueror@gmx.de>  Sat,  3 Dec 2005 20:38:25 +0000

wfmath (0.3.4-3) unstable; urgency=low

  * Did the new C++ ABI transition and renamed some packages
    (Closes: #339277).
  * Updated debian/watch file.

 -- Michael Koch <konqueror@gmx.de>  Sat, 26 Nov 2005 17:10:22 +0000

wfmath (0.3.4-2) unstable; urgency=low

  * Added missing Conflicts/Replaces

 -- Michael Koch <konqueror@gmx.de>  Mon,  5 Sep 2005 05:25:25 +0000

wfmath (0.3.4-1) unstable; urgency=low

  * New upstream release
  * Renamed binary packages for C++ transition
  * debian/copyright: Fixed address of FSF
  * Updated Standards-Version to 3.6.2
  * Sponsored by Petter Reinholdtsen

 -- Michael Koch <konqueror@gmx.de>  Wed, 31 Aug 2005 20:25:51 +0000

wfmath (0.3.3-3) unstable; urgency=high

  * Reworked package descriptions
  * Added debian/watch

 -- Michael Koch <konqueror@gmx.de>  Thu, 30 Sep 2004 06:44:50 +0000

wfmath (0.3.3-2) unstable; urgency=low

  * debian/copyright: Fixed download url and copyright notice

 -- Michael Koch <konqueror@gmx.de>  Mon, 26 Jul 2004 08:50:22 +0200

wfmath (0.3.3-1) unstable; urgency=low

  * New upstream release
  * Use CDBS as build system
  * libwfmath-0.3-dbg: Depends on libwfmath-0.3 of same version

 -- Michael Koch <konqueror@gmx.de>  Tue, 20 Jul 2004 07:47:13 +0200

wfmath (0.3.2-2) unstable; urgency=low

  * Fixed Depends line of libwfmath-0.3-dbg 

 -- Michael Koch <konqueror@gmx.de>  Tue,  8 Jun 2004 08:23:30 +0200

wfmath (0.3.2-1) unstable; urgency=low

  * New upstream release
  * Updated SONAME to 0.3
  * Use debian/compat instead of DH_COMPAT
  * Build-Depends on debhelper >= 4.0.0
  * Removed Build-Depends on libatlas-cpp-dev
  * Removed manpage for wfmath-config

 -- Michael Koch <konqueror@gmx.de>  Sat, 15 May 2004 11:05:52 +0200

wfmath (0.2.11-2) unstable; urgency=low

  * libwfmath-dev dont need to depends on libatlas-cpp-dev.
  * Updated Standards-Version to 3.5.10.

 -- Michael Koch <konqueror@gmx.de>  Tue, 27 May 2003 09:47:20 +0000

wfmath (0.2.11-1) unstable; urgency=low

  * New upstream release.

