=== debian/control ===
Source: wfmath
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen M. Webb <stephen.webb@bregmasoft.ca>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               doxygen
Standards-Version: 3.9.3
Homepage: http://www.worldforge.org/
Vcs-Git: git://git.debian.org/git/pkg-games/wfmath.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/wfmath.git

Package: libwfmath-0.3-6
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: WorldForge math library
 The primary focus of WFMath is geometric objects. Thus,
 it includes an several shapes (boxes, balls, lines),
 in addition to the basic math objects that are used to
 build these shapes (points, vectors, matrices).

Package: libwfmath-0.3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~)
Depends: libwfmath-0.3-6 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libwfmath-doc
Description: WorldForge math library - development files
 The primary focus of WFMath is geometric objects. Thus,
 it includes an several shapes (boxes, balls, lines),
 in addition to the basic math objects that are used to
 build these shapes (points, vectors, matrices).
 .
 This package contains the development files.

Package: libwfmath-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}
Description: WorldForge math library - API documentation
 The primary focus of WFMath is geometric objects. Thus,
 it includes an several shapes (boxes, balls, lines),
 in addition to the basic math objects that are used to
 build these shapes (points, vectors, matrices).
 .
 This package contains the API documentation files.

Package: libwfmath-0.3-6-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~)
Depends: libwfmath-0.3-6 (= ${binary:Version}),
         ${misc:Depends}
Description: WorldForge math library - debugging library
 The primary focus of WFMath is geometric objects. Thus,
 it includes an several shapes (boxes, balls, lines),
 in addition to the basic math objects that are used to
 build these shapes (points, vectors, matrices).
 .
 This package contains the library with debugging symbols.
