=== debian/watch ===
version=3
http://sf.net/worldforge/wfmath-(.*)\.tar\.gz debian uupdate
