## wfmath 1.0.2+dfsg1

=== debian/changelog ===
wfmath (1.0.2+dfsg1-14) unstable; urgency=high

  * Remove autopkgtest, too fragile

 -- Olek Wojnar <olek@debian.org>  Sat, 27 Jun 2020 03:36:41 -0400

wfmath (1.0.2+dfsg1-13) unstable; urgency=high

  * And depend on autoconf and automake for the tests

 -- Olek Wojnar <olek@debian.org>  Mon, 22 Jun 2020 12:16:35 -0400

wfmath (1.0.2+dfsg1-12) unstable; urgency=high

  * Run autoreconf in autopkgtest
  * Temporarily remove d/symbols due to continued instability

 -- Olek Wojnar <olek@debian.org>  Fri, 19 Jun 2020 16:01:10 -0400

wfmath (1.0.2+dfsg1-11) unstable; urgency=high

  * Add autopkgtest restriction

 -- Olek Wojnar <olek@debian.org>  Mon, 15 Jun 2020 12:25:23 -0400

wfmath (1.0.2+dfsg1-10) unstable; urgency=medium

  * Add another autopkgtest dependency

 -- Olek Wojnar <olek@debian.org>  Mon, 15 Jun 2020 00:12:20 -0400

wfmath (1.0.2+dfsg1-9) unstable; urgency=high

  * Declare correct autopkgtest depends (Closes: #962804)

 -- Olek Wojnar <olek@debian.org>  Sun, 14 Jun 2020 15:03:07 -0400

wfmath (1.0.2+dfsg1-8) unstable; urgency=high

  * Update symbols to prevent FTBFS (Closes: #962179)

 -- Olek Wojnar <olek@debian.org>  Fri, 05 Jun 2020 15:44:37 -0400

wfmath (1.0.2+dfsg1-7) unstable; urgency=medium

  * Update symbols for s390x (Closes: #959767)
    - Thanks to Steve Langasek for the patch
  * Update symbols for GCC 10 (Closes: #957931)
  * Use pkg-kde-tools to manage symbols
  * Update Standards to 4.5.0 (no changes required)
  * Update Compatibility Level to 13
    - Remove unnecessary fix-for-760192-autoreconf.patch
  * Add autopkgtest

 -- Olek Wojnar <olek@debian.org>  Wed, 03 Jun 2020 20:52:54 -0400

wfmath (1.0.2+dfsg1-6) unstable; urgency=medium

  * Fix symbols on ia64

 -- Olek Wojnar <olekw.dev@gmail.com>  Mon, 08 Oct 2018 20:30:16 -0400

wfmath (1.0.2+dfsg1-5) unstable; urgency=medium

  * Update d/control:
    - New uploader email and URLs
    - Remove versioned build dependency on g++
    - Standards to 4.2.1 (no changes)
    - Add Rules-Requires-Root declaration
  * Update d/copyright:
    - Refresh Debian info
    - Add comment about dfsg-removed file
  * Update d/compat: 11 (no changes)
  * Remove d/triggers: redundant trigger
  * Add d/upstream/metadata: for DEP 12 compliance
  * Update d/rules: migration complete, remove dbgsym-migration flag

 -- Olek Wojnar <olekw.dev@gmail.com>  Sun, 07 Oct 2018 21:20:50 -0400

wfmath (1.0.2+dfsg1-4) unstable; urgency=high

  * Update symbols for GCC 7 (Closes: #853706)
  * Update dh compat to 10
  * Update standards to 4.1.0
    - d/control: document new standards version
    - d/copyright: use https in Format field

 -- Olek Wojnar <olek-dev@wojnar.org>  Tue, 05 Sep 2017 16:32:09 -0500

wfmath (1.0.2+dfsg1-3) unstable; urgency=medium

  * Fix symbols for armhf builds with GCC 6

 -- Olek Wojnar <olek-dev@wojnar.org>  Tue, 16 Aug 2016 22:12:34 -0400

wfmath (1.0.2+dfsg1-2) unstable; urgency=medium

  * Add inline symbols patch from Ubuntu, thanks Steve Langasek
    -- Allows proper build with -O3 optimization
  * Move doxygen to Build-Depends-Indep

 -- Olek Wojnar <olek-dev@wojnar.org>  Thu, 14 Jul 2016 19:32:48 -0400

wfmath (1.0.2+dfsg1-1) unstable; urgency=medium

  * Incorporate 4 NMUs, thanks Tobias Frost and Julien Cristau
  * Add myself as new uploader
    - Remove Stephen Webb per his request
    - Thanks for all the contributions, Stephen!
  * d/control
    - Remove pre-dependency on dpkg
    - Update standards to 3.9.8 (no changes)
    - Update Vcs lines for secure URIs
  * Add symbols file
  * Add override to -doc package for embedded jquery
  * Add d/triggers file for ldconfig processing
  * d/watch: update file extensions
  * Update d/copyright
  * Enable all hardening options
  * Convert to automatic debug package

 -- Olek Wojnar <olek-dev@wojnar.org>  Sat, 09 Jul 2016 15:47:07 -0400

wfmath (1.0.2+dfsg1-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791326).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:56:27 +0200

wfmath (1.0.2+dfsg1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Call autoreconf with --force --install to fix FTBFS for arm64 and ppc64el.
    (Closes: #760192)

 -- Tobias Frost <tobi@debian.org>  Thu, 06 Nov 2014 22:06:21 +0100

wfmath (1.0.2+dfsg1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Tobias Frost <tobi@debian.org>  Wed, 13 Aug 2014 09:21:29 +0200

wfmath (1.0.2+dfsg1-0.1) experimental; urgency=low

  [ Tobias Frost ]
  * Non-maintainer upload
  * picking up this NMU from the git packaging repository, as Stephen already
    worked on this release.
  * call autogen.sh during dh_autoreconf to avoid FTBFS
  * Do not use -fno-implicit-templates as this causes also a FTBFS.
  * remove symbols file. They are just too fragile for C++
  * changing homepage in d/control to http://www.worldforge.org/ seems to be
    dead.

  [ Stephen M. Webb ]
  * new upstream release (Closes: #736315)
  * debian/patches/0001-float-comparisons.patch: removed (fixed upstream)
  * bumped package names to 1.0
  * debian/control: updated to Standards-Version 3.9.5 (no changes)
  * debian/control: used canonical form for VCS-* fields
  * debian/rules: forced verbose build
  * debian/libwfmath-1.0-1.lintian-overrides: new file
  * debian/patches/0002-replace-mersenne-twister.patch: new file
  * debian/control: fixed Vcs-Browser URL
  * debian/watch: added dfsg dversionmangle option

 -- Tobias Frost <tobi@debian.org>  Sun, 10 Aug 2014 18:01:42 +0200

wfmath (0.3.12-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with GCC 4.9 (Xilin Sun). Closes: #746920.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Aug 2014 14:18:10 +0200
