=== debian/control ===
Source: wfmath
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Olek Wojnar <olek@debian.org>,
           Debian Games Team <team+pkg-games@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               pkg-kde-tools,
Build-Depends-Indep: doxygen
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.worldforge.org/
Vcs-Git: https://salsa.debian.org/games-team/wfmath.git
Vcs-Browser: https://salsa.debian.org/games-team/wfmath

Package: libwfmath-1.0-1v5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libwfmath-1.0-1
Replaces: libwfmath-1.0-1
Description: WorldForge math library
 The primary focus of WFMath is geometric objects. Thus,
 it includes an several shapes (boxes, balls, lines),
 in addition to the basic math objects that are used to
 build these shapes (points, vectors, matrices).

Package: libwfmath-1.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwfmath-1.0-1v5 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libwfmath-doc
Description: WorldForge math library - development files
 The primary focus of WFMath is geometric objects. Thus,
 it includes an several shapes (boxes, balls, lines),
 in addition to the basic math objects that are used to
 build these shapes (points, vectors, matrices).
 .
 This package contains the development files.

Package: libwfmath-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: WorldForge math library - API documentation
 The primary focus of WFMath is geometric objects. Thus,
 it includes an several shapes (boxes, balls, lines),
 in addition to the basic math objects that are used to
 build these shapes (points, vectors, matrices).
 .
 This package contains the API documentation files.
