=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility-inlines-hidden

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_missing:
	dh_missing -X.la -X.a

override_dh_auto_build-indep:
	$(MAKE) -C doc docs

override_dh_auto_clean:
	rm -rf doc/html doc/latex doc/man
	dh_auto_clean
