=== debian/watch ===
version=3
opts=dversionmangle=s/\+(dfsg)\d*$// \
 http://sf.net/worldforge/wfmath-(.*)\.(?:tar\.(?:gz|bz2|xz)) debian uupdate
